org.keycloak.services.resources

## Class KeycloakApplication

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.keycloak.services.resources.KeycloakApplication

-     public class KeycloakApplication
      extends javax.ws.rs.core.Application

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AtomicBoolean` | `BOOTSTRAP_ADMIN_USER`
    `protected Set<Class<?>>` | `classes`
    `protected PlatformProvider` | `platform`
    `protected static KeycloakSessionFactory` | `sessionFactory`
    `protected Set<Object>` | `singletons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakApplication()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeycloakSessionFactory` | `createSessionFactory()`
    `Set<Class<?>>` | `getClasses()`
    `static KeycloakSessionFactory` | `getSessionFactory()`
    `Set<Object>` | `getSingletons()`
    `void` | `importAddUser()`
    `void` | `importRealm(RealmRepresentation rep, String from)`
    `void` | `importRealms()`
    `protected void` | `loadConfig()`
    `protected ExportImportManager` | `migrateAndBootstrap()`
    `protected void` | `migrateModel()`
    `static void` | `setupScheduledTasks(KeycloakSessionFactory sessionFactory)`
    `protected void` | `shutdown()`
    `protected void` | `startup()`

    - ### Methods inherited from class javax.ws.rs.core.Application

      `getProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOOTSTRAP_ADMIN_USER

          public static final AtomicBoolean BOOTSTRAP_ADMIN_USER

    - #### platform

          protected final PlatformProvider platform

    - #### singletons

          protected Set<Object> singletons

    - #### classes

          protected Set<Class<?>> classes

    - #### sessionFactory

          protected static KeycloakSessionFactory sessionFactory

  - ### Constructor Detail

    - #### KeycloakApplication

          public KeycloakApplication()

  - ### Method Detail

    - #### startup

          protected void startup()

    - #### shutdown

          protected void shutdown()

    - #### migrateAndBootstrap

          protected ExportImportManager migrateAndBootstrap()

    - #### migrateModel

          protected void migrateModel()

    - #### loadConfig

          protected void loadConfig()

    - #### createSessionFactory

          public static KeycloakSessionFactory createSessionFactory()

    - #### setupScheduledTasks

          public static void setupScheduledTasks(KeycloakSessionFactory sessionFactory)

    - #### getSessionFactory

          public static KeycloakSessionFactory getSessionFactory()

    - #### getClasses

          public Set<Class<?>> getClasses()

      Overrides:
        `getClasses` in class `javax.ws.rs.core.Application`

    - #### getSingletons

          public Set<Object> getSingletons()

      Overrides:
        `getSingletons` in class `javax.ws.rs.core.Application`

    - #### importRealms

          public void importRealms()

    - #### importRealm

          public void importRealm(RealmRepresentation rep,
                                  String from)

    - #### importAddUser

          public void importAddUser()

Copyright © 2021 JBoss by Red Hat. All rights reserved.